## Apache Zeta Components Manual :: Docs For Class ezcMvcResultStatusObject

### MvcTools::ezcMvcResultStatusObject

### Interface ezcMvcResultStatusObject

The interface that should be implemented by all special status objects.

Statis objects are used to specify non-normal results from actions. As an example that could be a "Authorization Required" status, an external redirect etc.

Source for this file: /MvcTools/src/interfaces/result_status_object.php

Version: | //autogentag//

### Method Summary

public void | `process( $writer )` This method is called by the response writers to process the data contained in the status objects.

### Methods

#### process

void process( ezcMvcResponseWriter $writer )

This method is called by the response writers to process the data contained in the status objects.

The process method it responsible for undertaking the proper action depending on which response writer is used.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$writer` | ezcMvcResponseWriter |

Documentation generated by phpDocumentor 1.4.3